### Function

# GimpUi context_help

#### Declaration [src]

    void
    gimp_context_help (
      GtkWidget* widget
    )

#### Description [src]

This function invokes the context help inspector.

The mouse cursor will turn turn into a question mark and the user can click on any widget of the application which started the inspector.

If the widget the user clicked on has a `help_id` string attached (see gimp_help_set_help_data()), the corresponding help page will be displayed. Otherwise the help system will ascend the widget hierarchy until it finds an attached `help_id` string (which should be the case at least for every window/dialog).

#### Parameters

`widget`

  Type: `GtkWidget`

  Any `GtkWidget` on the screen.

  The data is owned by the caller of the function.